--Adding a message to the screen lower left message list.
function p.add(txt)
    ga_set_s("game.messages.slot5.msg", ga_get_s("game.messages.slot4.msg"))
    ga_set_f("game.messages.slot5.ttl", ga_get_f("game.messages.slot4.ttl"))

    ga_set_s("game.messages.slot4.msg", ga_get_s("game.messages.slot3.msg"))
    ga_set_f("game.messages.slot4.ttl", ga_get_f("game.messages.slot3.ttl"))

    ga_set_s("game.messages.slot3.msg", ga_get_s("game.messages.slot2.msg"))
    ga_set_f("game.messages.slot3.ttl", ga_get_f("game.messages.slot2.ttl"))

    ga_set_s("game.messages.slot2.msg", ga_get_s("game.messages.slot1.msg"))
    ga_set_f("game.messages.slot2.ttl", ga_get_f("game.messages.slot1.ttl"))

    ga_set_s("game.messages.slot1.msg", txt)
    local duration = 6.0
    ga_set_f("game.messages.slot1.ttl", duration)
end
